# Running multiple instances of Joplin

Joplin Desktop offers the capability to run **multiple instances** of the application simultaneously. Each instance is a separate application with its own configuration, plugins, and settings, meaning changes made in one instance do not affect the other. This feature is particularly useful for users who wish to maintain a clear separation between work and personal notes or utilise Joplin in multi-desktop environments.

## Key Features of Multiple Instances

1. **Independent Applications**:  

Each instance is completely isolated, operating as a standalone version of Joplin. This ensures no overlap in settings, plugins, or notes between instances.

2. **Use Case Scenarios**:  
	
- Maintain separate environments for work and personal notes.  
- Use Joplin on multi-desktop setups, with an instance on each virtual desktop.

## Supported Number of Instances

Currently, Joplin supports up to **two running instances**:  

1. **Main Instance**: The primary application instance, with full access to all Joplin features.  

2. **Alternative Instance**: A secondary application instance that functions independently. However, it does not support the **Web Clipper service**, which can only run in the main instance.

## How to Launch a Second Instance

To start a second instance of Joplin:  

1. Open the main Joplin application.  

2. Navigate to the menu and select:  

**File** => **New application instance...**  

3. A new instance of Joplin will open with its own profile.  

This second instance operates independently, allowing you to customise it as needed.
